xine-lib: vidix_driver_s Struct Reference

xine-lib 1.2.12

Data Fields
vidix_driver_s Struct Reference

## Data Fields
vo_driver_t | vo_driver
config_values_t * | config
char * | vidix_name
VDL_HANDLE | vidix_handler
uint8_t * | vidix_mem
vidix_capability_t | vidix_cap
vidix_playback_t | vidix_play
vidix_grkey_t | vidix_grkey
vidix_video_eq_t | vidix_eq
vidix_yuv_t | dstrides
int | vidix_started
int | next_frame
int | got_frame_data
uint32_t | colourkey
int | use_doublebuffer
int | supports_yv12
pthread_mutex_t | mutex
vidix_property_t | props [VO_NUM_PROPERTIES]
uint32_t | capabilities
int | visual_type
int | fb_width
int | fb_height
int | depth
vo_scale_t | sc
int | delivered_format
xine_t * | xine
alphablend_t | alphablend_extra_data

## Field Documentation

## ◆ alphablend_extra_data

alphablend_t vidix_driver_s::alphablend_extra_data

## ◆ capabilities

uint32_t vidix_driver_s::capabilities

## ◆ colourkey

uint32_t vidix_driver_s::colourkey

## ◆ config

config_values_t* vidix_driver_s::config

## ◆ delivered_format

int vidix_driver_s::delivered_format

## ◆ depth

int vidix_driver_s::depth

## ◆ dstrides

vidix_yuv_t vidix_driver_s::dstrides

## ◆ fb_height

int vidix_driver_s::fb_height

## ◆ fb_width

int vidix_driver_s::fb_width

## ◆ got_frame_data

int vidix_driver_s::got_frame_data

## ◆ mutex

pthread_mutex_t vidix_driver_s::mutex

## ◆ next_frame

int vidix_driver_s::next_frame

## ◆ props

vidix_property_t vidix_driver_s::props[VO_NUM_PROPERTIES]

## ◆ sc

vo_scale_t vidix_driver_s::sc

## ◆ supports_yv12

int vidix_driver_s::supports_yv12

## ◆ use_doublebuffer

int vidix_driver_s::use_doublebuffer

## ◆ vidix_cap

vidix_capability_t vidix_driver_s::vidix_cap

## ◆ vidix_eq

vidix_video_eq_t vidix_driver_s::vidix_eq

## ◆ vidix_grkey

vidix_grkey_t vidix_driver_s::vidix_grkey

## ◆ vidix_handler

VDL_HANDLE vidix_driver_s::vidix_handler

## ◆ vidix_mem

uint8_t* vidix_driver_s::vidix_mem

## ◆ vidix_name

char* vidix_driver_s::vidix_name

## ◆ vidix_play

vidix_playback_t vidix_driver_s::vidix_play

## ◆ vidix_started

int vidix_driver_s::vidix_started

## ◆ visual_type

int vidix_driver_s::visual_type

## ◆ vo_driver

vo_driver_t vidix_driver_s::vo_driver

## ◆ xine

xine_t* vidix_driver_s::xine

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/video_out_vidix.c